.campaign-carousel {
    background: #f9f9f9;
    padding-top: 50px;
    padding-bottom: 50px;
    overflow: hidden;
    position: relative;
    isolation: isolate;
}

.campaign-carousel__shape {
    aspect-ratio: 1/1;
    object-fit: contain;
    width: calc(100% * 508 / 390);
    max-width: auto;
    height: auto;
    max-height: 1100px;

    position: absolute;
    right: 0;
    top: 0;
    transform: translate(50%, -26.9%);
    z-index: -1;
}

.campaign-carousel__cards .slick-list {
    overflow: visible;
}

.campaign-carousel__card {
    position: relative;
    isolation: isolate;
    min-height: 350px;
    color: #fff;
    margin-right: 20px;
}

.campaign-carousel__card-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.campaign-carousel__card-content {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    z-index: 2;
    padding: 25px;
    width: 100%;
}

.campaign-carousel__card-content:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
    z-index: -1;
}

.campaign-carousel__card-tag {
    font-family: JohnstonMdITCTT;
    font-size: 10px;
    font-weight: 500;
    text-transform: uppercase;
    line-height: 2;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: flex-start;
}

.campaign-carousel__card-tag:before {
    content: "";
    width: 14px;
    height: 14px;
    background-color: #f7a933;
    border-radius: 100%;
}

.campaign-carousel__card-title {
    margin-top: auto;
    padding-top: 20px;
    font-size: 24px;
    line-height: 1.25;
    letter-spacing: -0.24px;
}
.campaign-carousel__card-description {
    line-height: 1.4;
    letter-spacing: -0.56px;
    margin-top: 20px;
}

.campaign-carousel__card .campaign-btn {
    margin-top: 20px;
}

.campaign-carousel .slick-slide {
    display: flex;
}

.campaign-carousel__controls {
    margin-top: 30px;
    display: flex;
    gap: 40px;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.campaign-carousel__arrow {
    display: none !important;
    background-color: transparent;
    border: none;
    padding: 0;

    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
}
.campaign-carousel__arrow img {
    width: 18px;
    height: auto;
}
.campaign-carousel__arrow--prev {
    transform: rotate(180deg);
}

.campaign-carousel__dots .slick-dots {
    margin-top: 0;
    display: flex;
    gap: 14px;
    align-items: center;
}
.campaign-carousel__dots .slick-dots li {
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
.campaign-carousel__dots .slick-dots button {
    background-color: #4a4949;
    border-radius: 99px;
    opacity: 0.2;
    width: 10px;
    height: 10px;
}
.campaign-carousel__dots .slick-dots .slick-active button {
    outline: 2px solid #f7a933;
    outline-offset: 7px;
    opacity: 1;
}
.campaign-carousel__card-reveal-inner {
    display: flex;
    flex-direction: column;
}

@media (min-width: 767px) {
    .campaign-carousel__shape {
        width: calc(100% * 1034 / 1440);

        transform: translate(30.3%, -27.6%);
    }

    .campaign-carousel__card {
        position: relative;
        min-height: 700px;
        margin-right: 30px;
    }

    .campaign-carousel__card-tag {
        font-size: 14px;
    }

    .campaign-carousel__card-title {
        font-size: 36px;
        line-height: 1.1;
        letter-spacing: -0.36px;
    }
    .campaign-carousel__card-description {
        font-size: 16px;
        line-height: 1.5;
        letter-spacing: -0.64px;
    }

    .campaign-carousel__controls {
        justify-content: flex-start;
        margin-top: 40px;
    }

    .campaign-carousel__arrow {
        display: flex !important;
        align-items: center;
    }

    .campaign-carousel__card-reveal {
        display: grid;
        grid-template-rows: 0fr;
        overflow: hidden;
        transition: grid-template-rows 350ms;
    }
    .campaign-carousel__card-reveal-inner {
        min-height: 0;
        transition: visibility 350ms;
        visibility: hidden;
    }

    .campaign-carousel__card:hover .campaign-carousel__card-reveal {
        grid-template-rows: 1fr;
    }
    .campaign-carousel__card:hover .campaign-carousel__card-reveal-inner {
        visibility: visible;
    }
}
